## org.irisa.genouest.logol.dispatcher
Interface JobManager

All Known Implementing Classes:
  LocalJobManager, SGEJobManager

    public interface JobManager

Generic interface to submit some jobs and wait for the end of all jobs.

Author:
  osallou

Method Summary
`int` `addJob(java.lang.String sequence, java.lang.String output, java.lang.String jobArgs)`
`int` `runJobs(java.lang.String nativeSpecifications)`
`void` `setInstallPath(java.lang.String installDir)`
`void` `setJobArgs(java.lang.String args)`
`int` `waitForJobsOver()`

Method Detail

### addJob

    int addJob(java.lang.String sequence,
               java.lang.String output,
               java.lang.String jobArgs)

### runJobs

    int runJobs(java.lang.String nativeSpecifications)

### waitForJobsOver

    int waitForJobsOver()

### setJobArgs

    void setJobArgs(java.lang.String args)

### setInstallPath

    void setInstallPath(java.lang.String installDir)